<?php
session_start();

include('../../conn.php');

// Check if form was submitted
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Retrieve data from POST request
    $regid = $_POST['regid'];
    $status = $_POST['status'];

    // Update status in database (Example: using PDO)
    $stmt = $conn->prepare("UPDATE paticipants SET status = :status WHERE regid = :regid");
    $stmt->bindParam(':status', $status);
    $stmt->bindParam(':regid', $regid);

    if ($stmt->execute()) {
        // Optionally, redirect or provide feedback
        header('Location: list_competitions.php');
        exit();
    } else {
        // Handle error
        echo "Error updating status.";
    }
} else {
    // Handle unexpected request method
    echo "Invalid request.";
}
?>
