<?php
// Include the connection file
require_once 'conn.php';

session_start(); // Start the session

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve form data
    $username = $_POST["username"];
    $password = $_POST["password"];

    // Prepare a SQL statement to select the user by username
    $sql = "SELECT * FROM admin WHERE username = :username LIMIT 1";
    $stmt = $conn->prepare($sql);
    $stmt->execute(['username' => $username]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($user) {
        // Verify password
        if ($password === $user['password']) { // Check password without hashing
            // Password is correct, set up session and redirect to dashboard
            // $_SESSION['region'] = $user['region']; // Store region in session
            $_SESSION['username'] = $user['username']; // Store username in session
            $_SESSION['user_id'] = $user['id'];
            header("Location: ./dashboard/sport_director/dashboard.php");
            exit(); // Stop further execution
        } else {
            // Password is incorrect
            echo "<script>alert('Access denied! Invalid username or password');</script>";
            echo "<script>window.location.href = 'login.php';</script>";
            exit(); // Stop further execution
        }
    } else {
        // User not found
        echo "<script>alert('Access denied! User not found');</script>";
        echo "<script>window.location.href = 'login.php';</script>";
        exit(); // Stop further execution
    }
}
?>
