<?php
require_once("conn.php");
?>

<!DOCTYPE html>
<html lang="en">


<meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="csrf-token" content="DTCE Junior Church | Educational Resources &amp; Bible Study">
    <meta name="description" content="DTCE Junior Church | Educational Resources &amp; Bible Study">
    <meta name="keywords" content="DTCE Junior Church | Educational Resources &amp; Bible Study">
    <meta name="author" content="Hi-Dev Solutions">
    <title>Regional Quiz Directors | Login Page</title>
    <!-- Favicon -->
    <link rel="shortcut icon" href="assets/images/icon2.png">

    <!-- Fontfamily -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,400;1,500;1,700&amp;display=swap" rel="stylesheet">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/dash_assets/plugins/bootstrap/css/bootstrap.min.css">

    <!-- Feathericon CSS -->
    <link rel="stylesheet" href="assets/dash_assets/plugins/feather/feather.css">

    <!-- Pe7 CSS -->
    <link rel="stylesheet" href="assets/dash_assets/plugins/icons/flags/flags.css">

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/dash_assets/plugins/fontawesome/css/fontawesome.min.css">
    <link rel="stylesheet" href="assets/dash_assets/plugins/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
</head>

<body>
    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/dash_assets/css/style.css">
    <link rel="stylesheet" href="assets/css/mystyle.css">
    </head>

    <body>

     <!-- Main Wrapper -->
     <div class="main-wrapper login-body">
            <div class="login-wrapper">
                <div class="container">
                    <div class="loginbox">
                        <div class="login-left">
                            <img class="img-fluid" src="assets/images/dtce.png" alt="Logo">
                        </div>
                        <div class="login-right">
                            <div class="login-right-wrap">
                                <h1 class="text-center">Welcome to<br> <?php echo Date("Y")?> Quiz Competition <br>Admin Portal
                                </h1>
                                <!-- <p class="account-subtitle text-dark">New Regional Quiz Director? <a
                                        href="#">Create an account</a></p> -->

                                <div class="login-div" id="guardian-login-div">
                                    <!-- Start Regional Quiz Director Login -->
                                    <h2>National Quiz Director Login</h2>
                                    <!-- Form -->
                                <form method="POST" action="https://admissions.deeperlifehighschool.org/submit-forgot-password">
                                    <input type="hidden" name="_token" value="eISNPD2kpFQFinkZRpSIDCmR9yY4eneDGHUpGfZD">                                                                        <div class="form-group">
                                        <label >Email <span class="login-danger">*</span></label>
                                        <input class="form-control" type="text" name="email">
                                        <span class="profile-views"><i class="fas fa-envelope"></i></span>
                                    </div>

                                    <div class="settings-form mb-3">
                                        <label class="custom_radio me-1">
                                            <input type="radio" name="user_type" value="admin">
                                            <span class="checkmark"></span> Admin
                                        </label>

                                        <label class="custom_radio me-1">
                                            <input type="radio" name="user_type" value="staff">
                                            <span class="checkmark"></span> Staff
                                        </label>

                                        <label class="custom_radio me-1">
                                            <input type="radio" name="user_type" value="guardian" checked="">
                                            <span class="checkmark"></span> Parent/Guardian
                                        </label>
                                    </div>
                                    
                                    <div class="form-group">
                                        <button class="btn btn-primary btn-block" type="submit">
                                            Send Password Reset Link
                                        </button>
                                    </div>
                                </form>
                                <!-- /Form -->
                            </div>
                                            </div>
                </div>
            </div>
        </div>
    </div>
<!-- /Main Wrapper -->


    <script src="assets/dash_assets/js/jquery-3.6.0.min.js"></script>

    <!-- Bootstrap Core JS -->
    <script src="assets/dash_assets/assets/plugins/bootstrap/js/bootstrap.bundle.min.html"></script>

    <!-- Feather Icon JS -->
    <script src="assets/dash_assets/assets/js/feather.min.html"></script>

    <!-- Custom JS -->
    <script src="assets/dash_assets/assets/js/script.html"></script>
    <script>
        $("body").on('click', '.toggle-password', function() {
            $(this).toggleClass("fa-eye fa-eye-slash");
            var input = $("#password");
            if (input.attr("type") === "password") {
                input.attr("type", "text");
            } else {
                input.attr("type", "password");
            }

            });
    </script>
</body>

<!-- Mirrored from admissions.deeperlifehighschool.org/forgot-password by HTTrack Website Copier/3.x [XR&CO'2014], Sat, 06 Apr 2024 17:50:00 GMT -->
</html>
