<?php
require_once("conn.php");
?>

<!DOCTYPE html>
<html lang="en">


<meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="csrf-token" content="National Sport Directors">
    <meta name="description" content="National Sport Directors">
    <meta name="keywords" content="National Sport Directors">
    <meta name="author" content="Hi-Dev Solutions">
    <title>National Sport Directors | Login Page</title>
    <!-- Favicon -->
    <link rel="shortcut icon" href="assets/images/icon2.png">

    <!-- Fontfamily -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,400;1,500;1,700&amp;display=swap" rel="stylesheet">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="assets/dash_assets/plugins/bootstrap/css/bootstrap.min.css">

    <!-- Feathericon CSS -->
    <link rel="stylesheet" href="assets/dash_assets/plugins/feather/feather.css">

    <!-- Pe7 CSS -->
    <link rel="stylesheet" href="assets/dash_assets/plugins/icons/flags/flags.css">

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="assets/dash_assets/plugins/fontawesome/css/fontawesome.min.css">
    <link rel="stylesheet" href="assets/dash_assets/plugins/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
</head>

<body>
    <!-- Main CSS -->
    <link rel="stylesheet" href="assets/dash_assets/css/style.css">
    <link rel="stylesheet" href="assets/css/mystyle.css">
    </head>

    <body>

        <!-- Main Wrapper -->
        <div class="main-wrapper login-body">
            <div class="login-wrapper">
                <div class="container">
                    <div class="loginbox">
                        <div class="login-left">
                            <img class="img-fluid" src="assets/images/dtce.png" alt="Logo">
                        </div>
                        <div class="login-right">
                            <div class="login-right-wrap">
                                <h1 class="text-center">Welcome to<br> <?php echo Date("Y")?> Sport Competition <br>Admin Portal
                                </h1>
                                <!-- <p class="account-subtitle text-dark">New Regional Sport Director? <a
                                        href="#">Create an account</a></p> -->

                                <div class="login-div" id="guardian-login-div">
                                    <!-- Start Regional Sport Director Login -->
                                    <h2>National Sport Director Login</h2>
                                    <!-- Form -->
                                    <form method="POST" action="access.php" onsubmit="return submitForm('guardian-login-form')">
                                     
                                        <p class="small text-black alert-warning p-2 mb-1">You can log in with your 
                                            <b>Username</b> &amp; <b>Password</b>.
                                        </p>

                                        <div class="card-text mb-2 mt-1 small alert alert-light border-warning">
                                            <strong>Login details format:</strong>
                                            <br>
                                            <span class="text-primary">Username:</span> <span class="text-muted">Admin Username</span>
                                            <br>
                                            <span class="text-primary">Password:</span> <span class="text-muted">xxxxxxxxxxx</span>
                                            
                                        </div>


                                        <div class="form-group">
                                            <label>Username<span class="login-danger">*</span></label>
                                            <input class="form-control" type="text" name="username" required autocomplete="true">
                                            <span class="profile-views"><i class="fas fa-user-circle"></i></span>
                                        </div>
                                        <div class="form-group">
                                            <label>Password<span class="login-danger">*</span></label>
                                            <input class="form-control" type="password" id="password" name="password" required autocomplete="true">
                                            <span class="profile-views" id="togglePasswordVisibility"><i class="fas fa-eye"></i></span>
                                        </div>
                                       

                                        <div class="forgotpass">
                                            <div class="remember-me">
                                                <label class="custom_check mr-2 mb-0 d-inline-flex remember-me">
                                                    Remember me
                                                    <input type="checkbox" name="remember">
                                                    <span class="checkmark"></span>
                                                </label>
                                            </div>
                                            <a href="#">Forgot Password?</a>
                                        </div>

                                        <div class="form-group">
                                            <button class="btn btn-primary btn-block" type="submit">Login</button>
                                        </div>
                                    </form>
                                    <!-- /Form -->
                                    <!-- <div class="login-or">
                                        <span class="span-or">or</span>
                                    </div>
                                    <div class="text-center">
                                        <a id="admin-login-btn" href="staff-login.html">Login as Admin/Staff</a>
                                    </div> -->
                                    <!-- End Guardian Login -->
                                </div>


                                <div class="text-center"><a class="text-muted small" href="index.php">Go to
                                        Homepage</a></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
        <!-- /Main Wrapper -->

        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>

        <script src="assets/dash_assets/js/jquery-3.6.0.min.js"></script>

        <!-- Bootstrap Core JS -->
        <script src="assets/dash_assets/assets/plugins/bootstrap/js/bootstrap.bundle.min.html"></script>

        <!-- Feather Icon JS -->
        <script src="assets/dash_assets/assets/js/feather.min.html"></script>

        <!-- Custom JS -->
        <script src="assets/dash_assets/assets/js/script.html"></script>
        <script>
    // Get the password input field and the eye icon
    const passwordInput = document.getElementById("password");
    const togglePasswordVisibility = document.getElementById("togglePasswordVisibility");

    // Add click event listener to the eye icon
    togglePasswordVisibility.addEventListener("click", function() {
        // Toggle the type attribute of the password input field
        if (passwordInput.type === "password") {
            passwordInput.type = "text";
            togglePasswordVisibility.innerHTML = '<i class="fas fa-eye-slash"></i>'; // Change the eye icon to slashed eye
        } else {
            passwordInput.type = "password";
            togglePasswordVisibility.innerHTML = '<i class="fas fa-eye"></i>'; // Change the eye icon back to normal
        }
    });
</script>
    </body>

</html>