<!DOCTYPE html>
<html dir="ltr" lang="en">


<meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<head>

  <!-- Meta Tags -->
  <meta name="viewport" content="width=device-width,initial-scale=1.0" />
  <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
  <meta name="description" content="DTCE Junior Church | Educational Resources &amp; Bible Study" />
  <meta name="keywords" content="academy, course, education, education html theme, #, learning," />

  <!-- Page Title -->
  <title>DTCE Junior Church | Educational Resources &amp; Bible Study</title>

  <!-- Favicon and Touch Icons -->
  <link href="assets/images/icon2.png" rel="shortcut icon" type="image/png">
  <link href="assets/images/icon2.png" rel="apple-touch-icon">
  <link href="assets/images/icon2.png" rel="apple-touch-icon" sizes="72x72">
  <link href="assets/images/icon2.png" rel="apple-touch-icon" sizes="114x114">
  <link href="assets/images/icon2.png" rel="apple-touch-icon" sizes="144x144">

  <!-- Stylesheet -->
  <link href="home_assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="home_assets/css/jquery-ui.min.css" rel="stylesheet" type="text/css">
  <link href="home_assets/css/animate.css" rel="stylesheet" type="text/css">
  <link href="home_assets/css/css-plugin-collections.css" rel="stylesheet" />
  <!-- CSS | menuzord megamenu skins -->
  <link id="menuzord-menu-skins" href="home_assets/css/menuzord-skins/menuzord-rounded-boxed.css" rel="stylesheet" />
  <!-- CSS | Main style file -->
  <link href="home_assets/css/style-main.css" rel="stylesheet" type="text/css">
  <!-- CSS | Preloader Styles -->
  <link href="home_assets/css/preloader.css" rel="stylesheet" type="text/css">
  <!-- CSS | Custom Margin Padding Collection -->
  <link href="home_assets/css/custom-bootstrap-margin-padding.css" rel="stylesheet" type="text/css">
  <!-- CSS | Responsive media queries -->
  <link href="home_assets/css/responsive.css" rel="stylesheet" type="text/css">
  <!-- CSS | Style css. This is the file where you can place your own custom css code. Just uncomment it and use it. -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css">

  <!-- Revolution Slider 5.x CSS settings -->
  <link href="home_assets/js/revolution-slider/css/settings.css" rel="stylesheet" type="text/css" />
  <link href="home_assets/js/revolution-slider/css/layers.css" rel="stylesheet" type="text/css" />
  <link href="home_assets/js/revolution-slider/css/navigation.css" rel="stylesheet" type="text/css" />

  <!-- CSS | Theme Color -->
  <link href="home_assets/css/colors/theme-skin-color-set-1.css" rel="stylesheet" type="text/css">

  <!-- external javascripts -->
  <script src="home_assets/js/jquery-2.2.4.min.js"></script>
  <script src="home_assets/js/jquery-ui.min.js"></script>
  <script src="home_assets/js/bootstrap.min.js"></script>
  <!-- JS | jquery plugin collection for this theme -->
  <script src="home_assets/js/jquery-plugin-collection.js"></script>

  <!-- Revolution Slider 5.x SCRIPTS -->
  <script src="home_assets/js/revolution-slider/js/jquery.themepunch.tools.min.js"></script>
  <script src="home_assets/js/revolution-slider/js/jquery.themepunch.revolution.min.js"></script>

  <link rel="stylesheet" type="text/css" href="assets/datatable/css/datatables.css">
  <!-- DataTables Responsive CSS -->
  <link rel="stylesheet" type="text/css" href="../cdn.datatables.net/responsive/2.2.9/css/responsive.dataTables.min.css">

</head>

<body class="">
  <div id="wrapper" class="clearfix">
    <!-- preloader -->
    <div id="preloader">
      <div id="spinner">
        <img alt="" src="home_assets/images/preloaders/5.html">
      </div>
      <!-- <div id="disable-preloader" class="btn btn-default btn-sm">Disable Preloader</div> -->
    </div>

    <!-- Header -->
    <header id="header" class="header">
      <div class="header-top sm-text-center" style="background:#23044c ">
        <div class="container">
          <div class="row">
            <div class="col-md-8">
              <div class="widget no-border m-0">
                <ul class="list-inline">
                  <li class="m-0 pl-10 pr-10"> <i class="fa fa-phone text-white"></i> <a class="text-white" href="#">08032802040, 08032803945, 08032802040</a> </li>
                  <li class="text-white m-0 pl-10 pr-10"> <i class="fa fa-clock-o text-white"></i> Monday - Friday</li>
                  <li class="m-0 pl-10 pr-10"> <i class="fa fa-envelope-o text-white"></i> <a class="text-white" href="#">contact@rccgjuniorchurch.org</a> </li>
                </ul>
              </div>
            </div>
            <div class="col-md-4">
              <div class="widget no-border m-0">
                <ul class="list-inline text-right sm-text-center">
                  <li>
                    <a href="#" class="text-white">FAQ</a>
                  </li>
                  <li class="text-white">|</li>
                  <li>
                    <a href="#" class="text-white">Help Desk</a>
                  </li>
                  <li class="text-white">|</li>
                  <li>
                    <a href="#" class="text-white">Support</a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="header-nav">
        <div class="header-nav-wrapper navbar-scrolltofixed bg-white">
          <div class="container">
            <nav id="menuzord-right" class="menuzord default">
              <a class="menuzord-brand pull-left flip" href="javascript:void(0)">
                <img src="assets/images/dtce.png" width="100px" alt="dtce logo">
              </a>
              <ul class="menuzord-menu">
                <li class="active"><a href="index.html">Home</a></li>
                <li class=""><a href="result.php" style="color:#DB137B">Quiz Competition Results</a></li>
                <!-- <li class="" ><a href="register.html" style="color:#DB137B">Create an account</a></li> -->
                <li class=""><a href="./quizportal" style="color:#DB137B"><i class="fa fa-user"></i> Login to existing account</a></li>
                <li class=""><a href="./login.php" style="color:#DB137B"><i class="fa fa-lock"></i>Admin Login</a></li>
              </ul>
            </nav>
          </div>
        </div>
      </div>
    </header>
    <div class="main-content">
        <section id="">
            <div class="container" style="">
                <h4 class="letter-space-1 mt-5" style="color: #5F0290">Quiz Competition Result</h4>
                <div class="section-content">
                    <div class="col-lg-12 bg-light" style="padding:30px !important;">
                        
                        <form action="#" method="POST" name="searchForm">
                            <div class="student-group-form">
                                <p>Filter Results by Competition Activity</p>
                                <div class="row">
                                    <div class="col-lg-10 col-md-6">
                                        <div class="form-group">
                                            <select class="form-control" name="activity">
                                                <option value="Quiz Competition">Quiz Competition</option>
                                                <option value="Essay Writing">Essay Writing</option>
                                                <option value="Debate">Debate</option>
                                                <option value="Spelling Bee">Spelling Bee</option>
                                                <option value="Recitation">Recitation</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-lg-2 col-md-6">
                                        <div class="search-student-btn">
                                            <button type="submit" class="btn btn-primary">Search</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>

                        <div class="table-responsive">
                            <table class="table table-stripped" id="table5">
                                <thead>
                                    <tr>
                                        <th>S/N</th>
                                        <th>Participant Surname</th>
                                        <th>Participant Other Names</th>
                                        <th>Participant Activity</th>
                                        <th>Participant Region</th>
                                        <th>Participant Category</th>
                                        <th>Participant Age</th>
                                        <th>Participant Gender</th>
                                        <th>Result</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    require_once("conn.php");
                                    // Check if the form is submitted
                                    if ($_SERVER["REQUEST_METHOD"] == "POST") {
                                        // Retrieve the selected activity from the form
                                        $activity = $_POST['activity'];

                                        // Assuming you have already established a database connection
                                        // Replace $pdo with your actual PDO database connection variable
                                        try {
                                            // Prepare the SQL query
                                            $sql = "SELECT * FROM participants WHERE activity = :activity";

                                            // Prepare the statement
                                            $stmt = $conn->prepare($sql);

                                            // Bind parameters
                                            $stmt->bindParam(':activity', $activity);

                                            // Execute the query
                                            $stmt->execute();

                                            // Fetch the results
                                            $results = $stmt->fetchAll(PDO::FETCH_ASSOC);

                                            // Check if there are any results
                                            if ($results) {
                                                // Output the results in table rows
                                                foreach ($results as $index => $result) {
                                                    echo "<tr>";
                                                    echo "<td>" . ($index + 1) . "</td>";
                                                    echo "<td>" . $result['surname'] . "</td>";
                                                    echo "<td>" . $result['othernames'] . "</td>";
                                                    echo "<td>" . $result['activity'] . "</td>";
                                                    echo "<td>" . $result['region'] . "</td>";
                                                    echo "<td>" . $result['category'] . "</td>";
                                                    echo "<td>" . $result['age_year'] . " Years</td>";
                                                    echo "<td>" . $result['gender'] . "</td>";
                                                    echo "<td>" . $result['result'] . "</td>";
                                                    echo "<td><a href='#' onclick='showModal(\"{$result['regid']}\")'>View Details</a></td>";
                                                    echo "</tr>";
                                                }
                                            } else {
                                                echo "<tr><td colspan='4'>No results found for $activity</td></tr>";
                                            }
                                        } catch (PDOException $e) {
                                            echo "Error: " . $e->getMessage();
                                        }
                                    }
                                    ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <div id="myModal" class="modal">
    <!-- Modal content -->
    <div class="modal-content">
        <span class="close" onclick="closeModal()">&times;</span>
        <h2>View Participant Result Details</h2>
        <form action="view_result.php" method="POST" id="viewResultForm">
            <div class="form-group">
                <label for="regId">Participant Registration ID</label>
                <input type="text" id="regId" name="regid" required readonly>
            </div>
            <div class="form-group">
                <label for="pin">Result Scratch Card Pin</label>
                <input type="text" id="pin" name="pin" required>
            </div>
            <button type="submit">View Result</button>
        </form>
    </div>
</div>
<style>
  /* Center the modal vertically and horizontally */
.modal {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    border-radius: 10px;
    max-width: 500px;
}

/* Close button style */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

  </style>
    <script>
        function showModal(regId) {
            var modal = document.getElementById("myModal");
            var regIdInput = document.getElementById("regId");
            regIdInput.value = regId;
            modal.style.display = "block";
        }

        function closeModal() {
            var modal = document.getElementById("myModal");
            modal.style.display = "none";
        }
    </script>
    </div>
     <!-- Footer -->
     <footer id="footer" class=" bg-light text-dark" data-bg-img="images/footer-bg.html">
      <div class="footer-bottom bg-primary">
        <div class="container pt-20 pb-20">
          <div class="row">
            <div class="col-md-6">
              <div id="copyright">
                &copy; <script>
                  document.getElementById('copyright').appendChild(document.createTextNode(new Date().getFullYear()))
                </script> Directorate of Teens and Children Education.
                <div class="float-right d-none d-sm-inline-block">
                  <b>DTCE QUIZ COMPETITION PORTAL v.1.0.0</b>
                </div>
              </div>

            </div>
            <div class="col-md-6 text-right">
              <div class="widget no-border m-0">
                <ul class="list-inline sm-text-center mt-5 font-12">
                  <li>
                    <a href="entrance-exam-results.html" style="color: white">Quiz Competition Results</a>
                  </li>

                  <li>
                    <a href="./quizportal" style="color: white">Login to existing account</a>
                  </li>
                  <li>
                  <li class=""><a href="#" style="color: white">FAQs</a></li>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
    </footer>

<a class="scrollToTop" href="#"><i class="fa fa-angle-up"></i></a>
</div>

  <!-- Footer Scripts -->
<!-- JS | Custom script for all pages -->
<script src="home_assets/js/custom.js"></script>

<!-- SLIDER REVOLUTION 5.0 EXTENSIONS
      (Load Extensions only on Local File Systems !
       The following part can be removed on Server for On Demand Loading) -->
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.actions.min.js"></script>
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.carousel.min.js"></script>
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.kenburn.min.js"></script>
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.layeranimation.min.js"></script>
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.migration.min.js"></script>
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.navigation.min.js"></script>
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.parallax.min.js"></script>
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.slideanims.min.js"></script>
<script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.video.min.js"></script>
<!-- datatable -->
<script src="assets/datatable/js/jquery.dataTables.min.js"></script>
<script src="assets/datatable/js/datatable.custom.js"></script>
<script src="../cdn.datatables.net/responsive/2.2.9/js/dataTables.responsive.min.js"></script>
<script src="assets/js/datatable.js"></script>

</body>

<!-- index-mp-layout108:42-->

<!-- Mirrored from admissions.deeperlifehighschool.org/entrance-exam-results by HTTrack Website Copier/3.x [XR&CO'2014], Sat, 06 Apr 2024 17:51:14 GMT -->
</html>
