<?php
session_start();
require_once('conn.php');
require_once('conn2.php');

if (ISSET($_SESSION['Zone'])) {
    echo "<script>window.location.href='form.php';</script>";
    exit(); // Make sure the script doesn't continue executing after the redirect
}

if (isset($_POST['login'])) {
    $password = $_POST['password'];
    $email = $_POST['email_address'];
    $sql = "SELECT * FROM report_coordinators WHERE email_address='$email'";
    $row = $conn->query($sql);
    $result = $row->rowCount();
    
    if ($result < 1) {
        echo "<div class='alert alert-danger'>Email not found</div>";
    } else {
        if ($r = $row->fetch(PDO::FETCH_ASSOC)) {
            if ($password != $r['password']) {
                echo "<div class='alert alert-danger'>Wrong password</div>";
            } else {
                $_SESSION['zone'] = $r['zone'];
                $_SESSION['email_address'] = $r['email_address'];
                
                // Use JavaScript to redirect the user
                echo "<script>window.location.href = 'form.php';</script>";
                exit(); // Stop further execution
            }
        }
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title><?php echo Date("Y"); ?> RCCG DTCE NATIONAL SPORTS FESTIVAL | LOGIN</title>
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/bootstrap.min.css">
  <link rel="icon" href="assets/img/icon2.png" />
</head>
<style>
  /* Reset some basic styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Arial', sans-serif;
  background: url('assets/img/back.jpg') no-repeat center center/cover;
  color: #fff;
  padding: 0;
  margin: 0;
}

/* Header Styles */
.login-header {
  text-align: center;
  padding: 20px 0;
  background-color: rgba(0, 0, 0, 0.6);
}

.login-header .logo-container {
  display: inline-block;
  text-align: center;
}

.login-header img {
  width: 100px;
  margin-bottom: 10px;
}

.login-header h3 {
  font-size: 20px;
  font-weight: 400;
}

.login-header h1 {
  font-size: 30px;
  font-weight: bold;
}

/* Instructions Section Styles */
.instructions-section {
  padding: 40px 20px;
  background-color: rgba(0, 0, 0, 0.7);
  text-align: center;
}

.instructions-wrapper {
  max-width: 800px;
  margin: 0 auto;
}

.instructions-wrapper h2 {
  font-size: 26px;
  margin-bottom: 20px;
}

.flex1-child2 {
  text-align: left;
  font-size: 16px;
}

.flex1-child2 ol {
  list-style-type: decimal;
}

.flex1-child2 li {
  margin-bottom: 10px;
}

.flex1-child2 li b {
  color: #ff5805;
}

/* Login Section Styles */
.login-section {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 60vh;
}

.login-form-wrapper {
  background-color: rgba(0, 0, 0, 0.7);
  padding: 40px;
  border-radius: 8px;
  max-width: 400px;
  width: 100%;
  text-align: center;
}

.login-form-wrapper h2 {
  margin-bottom: 20px;
  font-size: 24px;
}

.input-group {
  margin-bottom: 15px;
  text-align: left;
}

.input-group label {
  font-size: 14px;
  font-weight: 500;
}

.input-group input {
  width: 100%;
  padding: 10px;
  margin-top: 5px;
  border: 2px solid #fff;
  border-radius: 5px;
  background-color: #333;
  color: #fff;
}

.input-group input:focus {
  outline: none;
  border-color: #ff5805;
}

.forgot-password-link {
  display: inline-block;
  margin-top: 10px;
  font-size: 14px;
  color: #ff5805;
  text-decoration: none;
}

.forgot-password-link:hover {
  text-decoration: underline;
}

.form-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 20px;
}

.form-footer .btn {
  padding: 10px 20px;
  background-color: #ff5805;
  color: white;
  border: none;
  border-radius: 5px;
  font-size: 16px;
}

.form-footer .btn:hover {
  background-color: #d44f00;
}

.alert {
  color: red;
  background-color: #ff4d4d;
  padding: 10px;
  margin-bottom: 15px;
  border-radius: 5px;
}

/* Footer Styles */
.login-footer {
  background-color: rgba(0, 0, 0, 0.7);
  padding: 20px 0;
}

.login-footer p {
  font-size: 14px;
}

.login-footer b {
  color: #ff5805;
}

</style>
<body>

  <!-- Header Section -->
  <header class="login-header">
    <div class="logo-container">
      <img src="assets/img/dtce.png" alt="DTCE Logo">
      <h3>Directorate of Teens and Children Education</h3>
      <h1>RCCG DTCE NATIONAL SPORTS FESTIVAL</h1>
    </div>
  </header>

  <!-- Instructions Section -->
  <section class="instructions-section">
    <div class="container">
      <div class="instructions-wrapper">
        <h2>PORTAL INSTRUCTIONS</h2>
        <div class="flex1-child2">
          <p>
            <ol>
              <li>All <b>Participants</b> Registration ID should be saved in a secured place.</li>
              <li>All <b>Participants</b> are expected to be registered with the Zone's Dedicated <b>EMAIL.</b></li>
              <li><b>C1HQ, C2HQ, C3HQ & NHQ</b> should compete in the Zones they were created from.</li>
              <li>Zones should <b>kit</b> their Participants appropriately and make adequate arrangements for transport.</li>
              <li>Accommodation and Feeding will be provided at The Glory Arena by DTCE.</li>
              <li>You are expected to login with the <b>Zone DEDICATED EMAILS</b> and <b>Password.</b></li>
            </ol>
          </p>
        </div>
      </div>
    </div>
  </section>

  <!-- Login Form Section -->
  <section class="login-section">
    <div class="container">
        <div class="login-form-wrapper">
            <h2>Sign In to Portal</h2>

            <form method="post" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']) ?>" class="login-form">
                <div class="input-group">
                    <label for="email">Zone Dedicated Email Address</label>
                    <input type="email" name="email_address" placeholder="Enter Zone Dedicated Email" required>
                </div>

                <div class="input-group">
                    <label for="password">Zone Password</label>
                    <input type="password" name="password" id="myInput" placeholder="Password" required>
                </div>

                <div class="form-footer">
                    <a href="forgotpassword.php" class="forgot-password-link">Forgot Password?</a>
                    <button type="submit" name="login" class="btn btn-primary">Sign In</button>
                </div>
            </form>
<br>
        <!-- New Redirect Button -->
<div class="text-center mt-4">
    <a href="coord.php" class="btn btn-success btn-lg text-white" style="font-weight: bold; color:white;">
        <i class="fas fa-user-tie"></i> Go to Photo Card Portal
    </a>
</div>

<!-- Add FontAwesome for Icons (Place in <head> if not already included) -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">


        </div>
    </div>
</section>


  <!-- Footer Section -->
  <footer class="login-footer">
    <div class="container text-center">
      <p>Need help? Contact us at <b>helpdesk@rccgjuniorchurch.org.ng</b></p>
    </div>
  </footer>

  <!-- JavaScript for password visibility toggle -->
  <script>
    document.getElementById('myInput').addEventListener('focus', function() {
      this.setAttribute('type', 'text');
    });
    document.getElementById('myInput').addEventListener('blur', function() {
      this.setAttribute('type', 'password');
    });
  </script>
</body>
</html>
