$(document).ready(function () {
  $("#table").DataTable({
    dom: "Blfrtip",
    buttons: [
      {
        text: '<i class="fa fa-file-excel-o"></i> Save as Excel',
        extend: "excelHtml5",
        header: true,
        title: ($("#table").data("url") + " Records").toUpperCase(),
        messageBottom: "\n\n\n\nCreated on: " + new Date() + ".",
        exportOptions: {
          columns: ":visible:not(.not-export-col)",
        },
      },
      {
        text: '<i class="fa fa-file-pdf-o"></i> Save as PDF',
        extend: "pdfHtml5",
        orientation: "portrait",
        pageSize: "A4",
        exportOptions: {
          columns: ":visible:not(.not-export-col)",
        },

        header: true,
        title: ($("#table").data("url") + " Records").toUpperCase(),
        messageBottom: "\n\n\n\nCreated on: " + new Date() + ".",
      },
    ],
    columnDefs: [
      {
        orderable: false,
        targets: -1,
      },
    ],
  });
});

//payment history
$(document).ready(function () {
  $("#table2").DataTable({
    dom: "Blfrtip",
    buttons: [
      {
        text: '<i class="fa fa-file-excel-o"></i> Save as Excel',
        extend: "excelHtml5",
        header: true,
        title: ($("#table2").data("url") + " Records").toUpperCase(),
        messageBottom: "\n\n\n\nCreated on: " + new Date() + ".",
        exportOptions: {
          columns: ":visible:not(.not-export-col)",
        },
      },
      {
        text: '<i class="fa fa-file-pdf-o"></i> Save as PDF',
        extend: "pdfHtml5",
        orientation: "landscape",
        pageSize: "A4",
        //alignment: 'center',
        exportOptions: {
          columns: ":visible:not(.not-export-col)",
        },

        header: true,
        title: ($("#table2").data("url") + " Records").toUpperCase(),
        messageBottom: "\n\n\n\nCreated on: " + new Date() + ".",
        customize: function (doc) {
          doc.content[1].margin = [0, 0, 10, 0]; //left, top, right, bottom
          doc.styles.title = {
            color: "black",
            fontSize: "25",
            alignment: "center",
          };

          doc.content.splice(0, 0, {
            margin: [0, 0, 10, 0],
            alignment: "center",
            image: $("#doc-head").text(),
          });
        },
      },
    ],
    columnDefs: [
      {
        orderable: false,
        targets: -1,
      },
    ],
  });
});

//table 3
$(document).ready(function () {
  $("#table3").DataTable({
    dom: "Blfrtip",
    buttons: [
      {
        text: '<i class="fa fa-file-excel-o"></i> Save as Excel',
        extend: "excelHtml5",
        header: true,
        title: ($("#table3").data("url") + " Records").toUpperCase(),
        messageBottom: "\n\n\n\nCreated on: " + new Date() + ".",
        exportOptions: {
          columns: ":visible:not(.not-export-col)",
        },
      },
      {
        text: '<i class="fa fa-file-pdf-o"></i> Save as PDF',
        extend: "pdfHtml5",
        orientation: "portrait",
        pageSize: "A4",
        exportOptions: {
          columns: ":visible:not(.not-export-col)",
        },

        header: true,
        title: ($("#table3").data("url") + " Records").toUpperCase(),
        messageBottom: "\n\n\n\nCreated on: " + new Date() + ".",
        customize: function (doc) {
          doc.styles.title = {
            color: "black",
            fontSize: "25",
            alignment: "center",
          };

          doc.content.splice(0, 0, {
            margin: [0, 0, 0, 0],
            alignment: "center",
            image: $("#doc-head").text(),
          });
        },
      },
    ],
    columnDefs: [
      {
        orderable: false,
        targets: -1,
      },
    ],
  });
});

//table4

$(document).ready(function () {
  $("#table4").DataTable({
    dom: "Blfrtip",
    buttons: [
      {
        text: '<i class="fa fa-file-excel-o"></i> Save as Excel',
        extend: "excelHtml5",
        header: true,
        title: ($("#table4").data("url") + " Records").toUpperCase(),
        messageBottom: "\n\n\n\nCreated on: " + new Date() + ".",
        exportOptions: {
          columns: ":visible:not(.not-export-col)",
        },
      },
      {
        text: '<i class="fa fa-file-pdf-o"></i> Save as PDF',
        extend: "pdfHtml5",
        orientation: "portrait",
        pageSize: "A4",
        exportOptions: {
          columns: ":visible:not(.not-export-col)",
        },

        header: true,
        title: ($("#table4").data("url") + " Records").toUpperCase(),
        messageBottom: "\n\n\n\nCreated on: " + new Date() + ".",
        customize: function (doc) {
          doc.styles.title = {
            color: "black",
            fontSize: "25",
            alignment: "center",
          };

          doc.content.splice(0, 0, {
            margin: [0, 0, 0, 0],
            alignment: "center",
            image: $("#doc-head").text(),
          });
        },
      },
    ],
    columnDefs: [
      {
        orderable: false,
        targets: -1,
      },
    ],
  });
});

//students table
$(document).ready(function () {
  $("#table5").DataTable({
    dom: "Blfrtip",
    buttons: [],
    columnDefs: [
      {
        orderable: false,
        targets: -1,
      },
    ],
  });
});

$(document).ready(function () {
  $("#studentTable").DataTable({
    dom: "Blfrtip",
    max: 5,
    buttons: [],
    columnDefs: [
      {
        orderable: false,
        targets: -1,
      },
    ],
  });
});
