<?php
session_start();

include('../../conn.php');

if (!isset($_SESSION['username'])) {
    header('Location: ../../index.php');
    exit();

}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
    <meta name="Education resources Department" content="DTCE">
    <meta name="description" content="Education resources Department">
    <meta name="keywords" content="Education resources Department">
    <meta name="author" content="Hi-Dev Solutions">
    <title>National Quiz-Director's Dashboard</title>

    <!-- Favicon -->
    <link rel="shortcut icon" href="../../assets/images/icon2.png">

    <!-- Fontfamily -->
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;0,900;1,400;1,500;1,700&display=swap" rel="stylesheet">


    <link rel="stylesheet" href="../../assets/dash_assets/css/sweetalert2.css">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/plugins/boostrap/css/bootstrap.min.css">

    <!-- Feathericon CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/feather/feather.css">

    <!-- Pe7 CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/icons/flags/flags.css">
    <!-- Bootstrap CSS -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <!-- Fontawesome CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/fontawesome/css/fontawesome.min.css">
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/fontawesome/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">
    <!-- Summernote CSS -->
    <link rel="stylesheet" href="../../assets/dash_assets/plugins/summernote/summernote-bs4.min.css">
    <!-- Datatables -->
    <link rel="stylesheet" type="text/css" href="../../assets/datatable/css/datatables.css">
    <!-- Main CSS -->
    <link rel="stylesheet" href="../assets/dash_assets/css/style.css">
    <link rel="stylesheet" href="../assets/css/mystyle.css">
    <script src="../../assets/dash_assets/js/jquery-3.6.0.min.js"></script>
</head>

    <body>

    <div class="main-wrapper">

        <!-- Header -->
        <div class="header">
            <!-- Logo -->
            <div class="header-left">
                <a href="../assets/images/dtce.png" class="logo">
                    <img src="../assets/images/dtce.png" alt="Logo">
                </a>
                <a href="../assets/images/icon.png" class="logo logo-small">
                    <img src="../assets/images/icon.png" alt="Logo" width="30" height="30">
                </a>
            </div>
            <!-- /Logo -->

            <div class="menu-toggle">
                <a href="javascript:void(0);" id="toggle_btn">
                    <i class="fas fa-bars"></i>
                </a>
            </div>

            <!-- Search Bar -->
            <div class="top-nav-search">
                <form>
                    <input type="text" class="form-control" placeholder="Search here">
                    <button class="btn" type="submit"><i class="fas fa-search"></i></button>
                </form>
            </div>
            <!-- /Search Bar -->

            <!-- Mobile Menu Toggle -->
            <a class="mobile_btn" id="mobile_btn">
                <i class="fas fa-bars"></i>
            </a>
            <!-- /Mobile Menu Toggle -->

            <!-- Header Right Menu -->
            <ul class="nav user-menu">
                <!-- User Menu -->
                <li class="nav-item dropdown has-arrow new-user-menus">
                    <a href="#" class="dropdown-toggle nav-link" data-bs-toggle="dropdown">
                        <span class="user-img">
                            <img class="rounded-circle" src="../assets/images/icon.png" width="31" alt="director logo">
                            <div class="user-text">
                                <?php
                                // Get the region from the session
                                $username = isset($_SESSION['username']) ? $_SESSION['username'] : '';

                                // Get the current year
                                $currentYear = date("Y");

                                // Generate the region number with the desired format
                                $username = str_pad($username, 2, '0', STR_PAD_LEFT); // Add leading zero for single-digit regions
                                $upperusername = strtoupper($username);
                                // Output the region number in the desired format
                                echo "<h6>ERDADMIN/{$currentYear}{$upperusername}</h6>";
                                ?>
                                <p class="text-muted mb-0">NATIONAL QUIZ DIRECTOR</p>
                            </div>
                        </span>

                    </a>
                    <div class="dropdown-menu">
                        <!-- <div class="user-header">
                            <div class="avatar avatar-sm">
                                <img src="../assets/avatar/default-avatar.png" alt="User Image" class="avatar-img rounded-circle">
                            </div>
                            <div class="user-text">
                                <h6>ERD/</h6>
                                <p class="text-muted mb-0">Quiz Director</p>
                            </div>
                        </div> -->
                        <a class="dropdown-item" href="../quiz_director/view_profile.php">My Profile</a>
                        <form action="../../logout.php" method="POST">
                            <input type="hidden" name="_token"> <a class="dropdown-item" href="route('../../../../logout.php')" onclick="event.preventDefault(); this.closest('form').submit();">
                                Logout
                            </a>
                        </form>
                    </div>
                </li>
                <!-- /User Menu -->

            </ul>
            <!-- /Header Right Menu -->

        </div>
        <!-- /Header -->
        <div class="sidebar" id="sidebar">
            <div class="sidebar-inner slimscroll">
                <div id="sidebar-menu" class="sidebar-menu">
                    <ul>
                        <li class="active">
                            <a href="./dashboard.php"><i class="fas fa-tachometer-alt"></i> <span> Dashboard</span></a>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-trophy"></i> <span>Ongoing Registrations</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./list_competitions.php">List of Participants</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-pen-square"></i><span>My Registrations</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="#">New Application</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-users"></i> <span>Participants</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./payment.php">List of Participants</a></li>
                            </ul>
                        </li>
                        <li class="submenu">
                            <a href="#"><i class="fas fa-user-cog"></i> <span>My Profile</span> <span class="menu-arrow"></span></a>
                            <ul>
                                <li><a href="./view_profile.php">Profile Settings</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


        <div class="page-wrapper">

            
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row">
                <div class="col">
                    <h3 class="page-title">Apply for Admission</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="https://admissions.deeperlifehighschool.org/guardian/dashboard">Dashboard</a></li>
                        <li class="breadcrumb-item active">Apply for Admission</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="row">
			<div class="col-sm-12">
				<div class="card">
                    <div class="card-header">
                        <div class="row py-3">
                            <div class="col-lg-10">
                                <h5 class="card-title mb-1">Ongoing Admission | First Supplementary</h5>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        
                        <div class="student-group-form">
                                                        <form method="POST"  id="more_child_form">
								<input type="hidden" name="_token" value="ty4pjDoK0nbbGpl6mXg2jFgAOu5CvJCQLcSCfcCn">								<div class="row child_wraper">
                                    <div class="col-lg-12 single_child">
                                        <div class="wrap py-4">
                                            <h6>Enter your child's details <i class="fas fa-arrow-down text-primary"></i></h6>
                                        </div>
                                        <div class="row">
                                            <div class="col-lg-5">
                                                <div class="form-group">
                                                    <input type="text" name="firstname[]" class="form-control" placeholder="First Name">
                                                </div>
                                            </div>
                                            <div class="col-lg-5">
                                                <div class="form-group">
                                                    <input type="text" name="middlename[]" class="form-control" placeholder="Middle Name">
                                                </div>
                                            </div>
                                            <div class="col-lg-5">
                                                <div class="form-group">
                                                    <input type="text" name="surname[]" class="form-control" placeholder="Surname">
                                                </div>
                                            </div>
                                            <div class="col-lg-5">
                                                <select class="form-control select" name="admission_class[]">
                                                    <option value="1">JSS1</option>                                                </select>
                                            </div>
                                        </div>
                                    </div>
								</div>
                                <div class="row py-5">
                                    <div class="col-lg-4">
                                        <input type="hidden" name="admission_id" value="5">
                                        <button class="btn btn-outline-primary" id="add_child">Add Another Child</button>
                                        <button class="btn btn-primary apply_admission" data-url="https://admissions.deeperlifehighschool.org/guardian/process-apply-for-admission">Proceed to Payment</button>
                                    </div>
                                </div>
							</form>
						</div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    $(document).ready(function() {
        $('#more_child').on("click", function (event) {
            event.preventDefault();
            $("#more_child_form").toggleClass('d-none');
            var buttonText = $("#more_child_form").hasClass('d-none') ? 'Click here to add another child' : 'Hide additional child form';
            $(this).text(buttonText);
        });
    });
</script>
<script>
$('#add_child').on("click", function(event){
    event.preventDefault();
    var index = $(".child_wraper").find(".single_child").length + 1;
    $(".child_wraper").append(`
        <div class="col-lg-12 single_child">
            <div class="wrap py-4">
                <h6>Enter this child's details <i class="fas fa-arrow-down text-primary"></i></h6>
            </div>
            <div class="row">
                <div class="col-lg-5">
                    <div class="form-group">
                        <input type="text" name="firstname[]" class="form-control" placeholder="First Name">
                    </div>
                </div>
                <div class="col-lg-5">
                    <div class="form-group">
                        <input type="text" name="middlename[]" class="form-control" placeholder="Middle Name">
                    </div>
                </div>
                <div class="col-lg-5">
                    <div class="form-group">
                        <input type="text" name="surname[]" class="form-control" placeholder="Surname">
                    </div>
                </div>
                <div class="col-lg-5">
                    <select class="form-control select" name="admission_class[]">
                        <option value="1">JSS1</option>                    </select>
                </div>
                <div class="col-lg-2">
                    <a href="javascript:void()" class="btn btn-sm btn-danger remove_node_btn_frm_field">Remove Child</a>
                </div>
            </div>
        </div>
    `);

    $(".child_wraper").find(".remove_node_btn_frm_field:not(:first)").prop("disabled", false);
    $(".child_wraper").find(".remove_node_btn_frm_field").first().prop("disabled", false);
});


//delete the form field row
$("body").on("click", ".remove_node_btn_frm_field", function () {
    $(this).closest(".single_child").remove();
});
</script>

            <footer>
    <p>Copyright &copy; 2024 Deeper Life High School.</p>
</footer>
				<!-- /Footer -->
        </div>
    </div>







    <!-- Bootstrap Core JS -->
    <script src="../assets/dash_assets/plugins/boostrap/js/bootstrap.bundle.min.js"></script>

    <!-- Feather Icon JS -->
    <script src="../assets/dash_assets/js/feather.min.js"></script>

    <!-- Slimscroll JS -->
    <script src="../assets/dash_assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Chart JS -->
    <script src="../assets/dash_assets/plugins/apexchart/apexcharts.min.js"></script>
    <script src="../assets/dash_assets/plugins/apexchart/chart-data.js"></script>

    <!-- summernote -->
    <script src="../assets/dash_assets/plugins/summernote/summernote-bs4.min.js"></script>
    <script src="../assets/js/ckeditor.js"></script>
    <script src="../assets/dash_assets/js/sweetalert.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>
    <!-- datatable -->
    <script src="../assets/datatable/js/jquery.dataTables.min.js"></script>
    <script src="../assets/datatable/js/datatable.custom.js"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap4.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/dataTables.buttons.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.flash.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.html5.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/buttons/1.6.5/js/buttons.print.min.js" type="text/javascript"></script>
    <script src="//cdn.datatables.net/fixedheader/3.1.6/js/dataTables.fixedHeader.min.js"></script>
    <!-- Custom JS -->
    <script src="../assets/dash_assets/js/script.js"></script>
    <script src="../assets/js/dashboard.js?v=1"></script>
    <script src="../assets/js/datatable.js"></script>
    <script>
    // Set the inactivity timeout in milliseconds (10 minutes in this case)
    var inactivityTimeout = 600000; // 10 minutes

    var timeout;

    // Reset the timer on user activity
    function resetTimer() {
        clearTimeout(timeout);
        timeout = setTimeout(function() {
            // Redirect the user to the logout page after inactivity
            window.location.href = '../../login.php';
        }, inactivityTimeout);
    }

    // Add event listeners for user activity (e.g., mousemove, keypress)
    document.addEventListener('mousemove', resetTimer);
    document.addEventListener('keypress', resetTimer);

    // Start the timer when the page loads
    resetTimer();
</script>

    
</body>
</html>
