<!DOCTYPE html>
<html dir="ltr" lang="en">


<meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<head>

  <!-- Meta Tags -->
  <meta name="viewport" content="width=device-width,initial-scale=1.0" />
  <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
  <meta name="description" content="DTCE Junior Church | Educational Resources &amp; Bible Study" />
  <meta name="keywords" content="academy, course, education, education html theme, #, learning," />

  <!-- Page Title -->
  <title>DTCE Junior Church | Educational Resources &amp; Bible Study</title>

  <!-- Favicon and Touch Icons -->
  <link href="assets/images/icon2.png" rel="shortcut icon" type="image/png">
  <link href="assets/images/icon2.png" rel="apple-touch-icon">
  <link href="assets/images/icon2.png" rel="apple-touch-icon" sizes="72x72">
  <link href="assets/images/icon2.png" rel="apple-touch-icon" sizes="114x114">
  <link href="assets/images/icon2.png" rel="apple-touch-icon" sizes="144x144">

  <!-- Stylesheet -->
  <link href="home_assets/css/bootstrap.min.css" rel="stylesheet" type="text/css">
  <link href="home_assets/css/jquery-ui.min.css" rel="stylesheet" type="text/css">
  <link href="home_assets/css/animate.css" rel="stylesheet" type="text/css">
  <link href="home_assets/css/css-plugin-collections.css" rel="stylesheet" />
  <!-- CSS | menuzord megamenu skins -->
  <link id="menuzord-menu-skins" href="home_assets/css/menuzord-skins/menuzord-rounded-boxed.css" rel="stylesheet" />
  <!-- CSS | Main style file -->
  <link href="home_assets/css/style-main.css" rel="stylesheet" type="text/css">
  <!-- CSS | Preloader Styles -->
  <link href="home_assets/css/preloader.css" rel="stylesheet" type="text/css">
  <!-- CSS | Custom Margin Padding Collection -->
  <link href="home_assets/css/custom-bootstrap-margin-padding.css" rel="stylesheet" type="text/css">
  <!-- CSS | Responsive media queries -->
  <link href="home_assets/css/responsive.css" rel="stylesheet" type="text/css">
  <!-- CSS | Style css. This is the file where you can place your own custom css code. Just uncomment it and use it. -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/css/lightbox.min.css">

  <!-- Revolution Slider 5.x CSS settings -->
  <link href="home_assets/js/revolution-slider/css/settings.css" rel="stylesheet" type="text/css" />
  <link href="home_assets/js/revolution-slider/css/layers.css" rel="stylesheet" type="text/css" />
  <link href="home_assets/js/revolution-slider/css/navigation.css" rel="stylesheet" type="text/css" />

  <!-- CSS | Theme Color -->
  <link href="home_assets/css/colors/theme-skin-color-set-1.css" rel="stylesheet" type="text/css">

  <!-- external javascripts -->
  <script src="home_assets/js/jquery-2.2.4.min.js"></script>
  <script src="home_assets/js/jquery-ui.min.js"></script>
  <script src="home_assets/js/bootstrap.min.js"></script>
  <!-- JS | jquery plugin collection for this theme -->
  <script src="home_assets/js/jquery-plugin-collection.js"></script>

  <!-- Revolution Slider 5.x SCRIPTS -->
  <script src="home_assets/js/revolution-slider/js/jquery.themepunch.tools.min.js"></script>
  <script src="home_assets/js/revolution-slider/js/jquery.themepunch.revolution.min.js"></script>

  <link rel="stylesheet" type="text/css" href="assets/datatable/css/datatables.css">
  <!-- DataTables Responsive CSS -->
  <link rel="stylesheet" type="text/css" href="../cdn.datatables.net/responsive/2.2.9/css/responsive.dataTables.min.css">

</head>

<body class="">
  <div id="wrapper" class="clearfix">
    <!-- preloader -->
    <div id="preloader">
      <div id="spinner">
        <img alt="" src="home_assets/images/preloaders/5.html">
      </div>
      <!-- <div id="disable-preloader" class="btn btn-default btn-sm">Disable Preloader</div> -->
    </div>

    <!-- Header -->
    <header id="header" class="header">
      <div class="header-top sm-text-center" style="background:#23044c ">
        <div class="container">
          <div class="row">
            <div class="col-md-8">
              <div class="widget no-border m-0">
                <ul class="list-inline">
                  <li class="m-0 pl-10 pr-10"> <i class="fa fa-phone text-white"></i> <a class="text-white" href="#">08032802040, 08032803945, 08032802040</a> </li>
                  <li class="text-white m-0 pl-10 pr-10"> <i class="fa fa-clock-o text-white"></i> Monday - Friday</li>
                  <li class="m-0 pl-10 pr-10"> <i class="fa fa-envelope-o text-white"></i> <a class="text-white" href="#">contact@rccgjuniorchurch.org</a> </li>
                </ul>
              </div>
            </div>
            <div class="col-md-4">
              <div class="widget no-border m-0">
                <ul class="list-inline text-right sm-text-center">
                  <li>
                    <a href="#" class="text-white">FAQ</a>
                  </li>
                  <li class="text-white">|</li>
                  <li>
                    <a href="#" class="text-white">Help Desk</a>
                  </li>
                  <li class="text-white">|</li>
                  <li>
                    <a href="#" class="text-white">Support</a>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="header-nav">
        <div class="header-nav-wrapper navbar-scrolltofixed bg-white">
          <div class="container">
            <nav id="menuzord-right" class="menuzord default">
              <a class="menuzord-brand pull-left flip" href="javascript:void(0)">
                <img src="assets/images/dtce.png" width="100px" alt="dtce logo">
              </a>
              <ul class="menuzord-menu">
                <li class="active"><a href="index.html">Home</a></li>
                <li class=""><a href="result.php" style="color:#DB137B">Quiz Competition Results</a></li>
                <!-- <li class="" ><a href="register.html" style="color:#DB137B">Create an account</a></li> -->
                <li class=""><a href="./quizportal" style="color:#DB137B"><i class="fa fa-user"></i> Login to existing account</a></li>
                <li class=""><a href="./login.php" style="color:#DB137B"><i class="fa fa-lock"></i>Admin Login</a></li>
              </ul>
            </nav>
          </div>
        </div>
      </div>
    </header>
    <div class="main-content">
      <section id="home">
        <div class="rev_slider_wrapper">
          <div class="rev_slider" data-version="5.0">
            <ul>


              <li data-index="rs-1" data-transition="slidingoverlayhorizontal" data-slotamount="default" data-easein="default" data-easeout="default" data-masterspeed="default" data-thumb="assets/images/bg-login.jpg" data-rotate="0" data-saveperformance="off" data-title="Slide 1" data-description="">
                <!-- MAIN IMAGE -->
                <img src="assets/images/2.jpg" alt="" data-bgposition="center center" data-bgfit="cover" data-bgrepeat="no-repeat" class="rev-slidebg" data-bgparallax="10" data-no-retina>
                <!-- LAYERS -->

                <!-- LAYER NR. 1 -->
                <div class="tp-caption tp-resizeme text-uppercase text-white font-raleway " id="rs-1-layer-1" data-x="['left']" data-hoffset="['30']" data-y="['middle']" data-voffset="['-110']" data-fontsize="['100']" data-lineheight="['110']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1000" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 7; white-space: nowrap; font-weight:700;">EDUCATION
                </div>

                <!-- LAYER NR. 2 -->
                <div class="tp-caption tp-resizeme text-uppercase text-white font-raleway bg-primary  pl-20 pr-20" id="rs-1-layer-2" data-x="['left']" data-hoffset="['35']" data-y="['middle']" data-voffset="['-25']" data-fontsize="['35']" data-lineheight="['54']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1000" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 7; white-space: nowrap; font-weight:600; background:#0093dd;border-left:6px solid #DB137B">Teens and Children
                </div>

                <!-- LAYER NR. 3 -->
                <div class="tp-caption tp-resizeme text-white" id="rs-1-layer-3" data-x="['left']" data-hoffset="['35']" data-y="['middle']" data-voffset="['35']" data-fontsize="['16']" data-lineheight="['28']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1400" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 5; white-space: nowrap; letter-spacing:0px; font-weight:400;">We provides always looking forward seeing all our Teens and children<br> building up themselves through the scriptural topics.
                </div>

                <!-- LAYER NR. 4 -->
                <div class="tp-caption tp-resizeme" id="rs-1-layer-4" data-x="['left']" data-hoffset="['35']" data-y="['middle']" data-voffset="['100']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;" data-transform_in="y:[100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;opacity:0;s:2000;e:Power4.easeInOut;" data-transform_out="y:[100%];s:1000;e:Power2.easeInOut;s:1000;e:Power2.easeInOut;" data-mask_in="x:0px;y:[100%];s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1400" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 5; white-space: nowrap; letter-spacing:1px; border-left:6px solid #DB137B"> <a class="btn btn-colored btn-lg btn-flat pl-20 pr-20 btn-primary" href="./quizportal" style="border-left:6px solid #DB137B">Register Now</a>
                </div>
              </li>


              <li data-index="rs-2" data-transition="slidingoverlayhorizontal" data-slotamount="default" data-easein="default" data-easeout="default" data-masterspeed="default" data-thumb="https://admissions.deeperlifehighschool.org/home_assets/images/bg/bg7.jpg" data-rotate="0" data-saveperformance="off" data-title="Slide 2" data-description="">

                <img src="assets/images/1.jpg" alt="" data-bgposition="center 40%" data-bgfit="cover" data-bgrepeat="no-repeat" class="rev-slidebg" data-bgparallax="10" data-no-retina>

                <!-- LAYER NR. 1 -->
                <div class="tp-caption tp-resizeme text-uppercase text-white font-raleway " id="rs-1-layer-1" data-x="['left']" data-hoffset="['30']" data-y="['middle']" data-voffset="['-110']" data-fontsize="['100']" data-lineheight="['110']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1000" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 7; white-space: nowrap; font-weight:700;">EDUCATION
                </div>

                <!-- LAYER NR. 2 -->
                <div class="tp-caption tp-resizeme text-uppercase text-white font-raleway bg-primary  pl-20 pr-20" id="rs-1-layer-2" data-x="['left']" data-hoffset="['35']" data-y="['middle']" data-voffset="['-25']" data-fontsize="['35']" data-lineheight="['54']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1000" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 7; white-space: nowrap; font-weight:600; background:#0093dd;border-left:6px solid #DB137B">Teens and Children
                </div>

                <!-- LAYER NR. 3 -->
                <div class="tp-caption tp-resizeme text-white" id="rs-1-layer-3" data-x="['left']" data-hoffset="['35']" data-y="['middle']" data-voffset="['35']" data-fontsize="['16']" data-lineheight="['28']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1400" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 5; white-space: nowrap; letter-spacing:0px; font-weight:400;">We provides always looking forward seeing all our Teens and children<br> building up themselves through the scriptural topics.
                </div>

                <!-- LAYER NR. 4 -->
                <div class="tp-caption tp-resizeme" id="rs-1-layer-4" data-x="['left']" data-hoffset="['35']" data-y="['middle']" data-voffset="['100']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;" data-transform_in="y:[100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;opacity:0;s:2000;e:Power4.easeInOut;" data-transform_out="y:[100%];s:1000;e:Power2.easeInOut;s:1000;e:Power2.easeInOut;" data-mask_in="x:0px;y:[100%];s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1400" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 5; white-space: nowrap; letter-spacing:1px; border-left:6px solid #DB137B"> <a class="btn btn-colored btn-lg btn-flat pl-20 pr-20 btn-primary" href="./quizportal" style="border-left:6px solid #DB137B">Register Now</a>
                </div>
                <!-- <div class="tp-caption tp-resizeme" id="rs-2-layer-4" data-x="['center']" data-hoffset="['0']" data-y="['middle']" data-voffset="['115']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;" data-transform_in="y:[100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;opacity:0;s:2000;e:Power4.easeInOut;" data-transform_out="y:[100%];s:1000;e:Power2.easeInOut;s:1000;e:Power2.easeInOut;" data-mask_in="x:0px;y:[100%];s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1400" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 5; white-space: nowrap; letter-spacing:1px;"><a class="btn btn-primary btn-circled pl-20 pr-20" href="register.html">Apply Now</a>  -->
              </li>
              <li data-index="rs-3" data-transition="slidingoverlayhorizontal" data-slotamount="default" data-easein="default" data-easeout="default" data-masterspeed="default" data-thumb="https://admissions.deeperlifehighschool.org/home_assets/images/bg/bg1.jpg" data-rotate="0" data-saveperformance="off" data-title="Slide 3" data-description="">
                <img src="assets/images/1.jpg" alt="" data-bgposition="center top" data-bgfit="cover" data-bgrepeat="no-repeat" class="rev-slidebg" data-bgparallax="10" data-no-retina>

                <div class="tp-caption tp-resizeme text-uppercase text-white font-raleway bg-primary pl-20" id="rs-3-layer-1" data-x="['right']" data-hoffset="['30']" data-y="['middle']" data-voffset="['-90']" data-fontsize="['64']" data-lineheight="['72']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1000" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 7; white-space: nowrap; font-weight:600; border-left:6px solid #DB137B">Teens and Children Event
                </div>
                <div class="tp-caption tp-resizeme text-uppercase text-white font-raleway" id="rs-3-layer-2" data-x="['right']" data-hoffset="['35']" data-y="['middle']" data-voffset="['-25']" data-fontsize="['32']" data-lineheight="['54']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1000" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 7; white-space: nowrap; font-weight:600;">Bringing out the best in our Children and Teens
                </div>
                <div class="tp-caption tp-resizeme text-white text-right" id="rs-3-layer-3" data-x="['right']" data-hoffset="['35']" data-y="['middle']" data-voffset="['30']" data-fontsize="['16']" data-lineheight="['28']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;s:500" data-transform_in="y:100;scaleX:1;scaleY:1;opacity:0;" data-transform_out="x:left(R);s:1000;e:Power3.easeIn;s:1000;e:Power3.easeIn;" data-mask_in="x:0px;y:0px;s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1400" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 5; white-space: nowrap; letter-spacing:0px; font-weight:400;">A Tool for driving the teens and children<br> through their sunday school manuals and spoken words.
                </div>
                <div class="tp-caption tp-resizeme" id="rs-3-layer-4" data-x="['right']" data-hoffset="['35']" data-y="['middle']" data-voffset="['95']" data-width="none" data-height="none" data-whitespace="nowrap" data-transform_idle="o:1;" data-transform_in="y:[100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;opacity:0;s:2000;e:Power4.easeInOut;" data-transform_out="y:[100%];s:1000;e:Power2.easeInOut;s:1000;e:Power2.easeInOut;" data-mask_in="x:0px;y:[100%];s:inherit;e:inherit;" data-mask_out="x:inherit;y:inherit;s:inherit;e:inherit;" data-start="1400" data-splitin="none" data-splitout="none" data-responsive_offset="on" style="z-index: 5; white-space: nowrap; letter-spacing:1px; border-left:6px solid #DB137B"><a class="btn btn-primary pl-20 pr-20" href="./quizportal">Apply Now</a>
                </div>
              </li>
            </ul>
          </div>
        </div>
        <script>
          $(document).ready(function(e) {
            $(".rev_slider").revolution({
              sliderType: "standard",
              sliderLayout: "auto",
              dottedOverlay: "none",
              delay: 5000,
              navigation: {
                keyboardNavigation: "off",
                keyboard_direction: "horizontal",
                mouseScrollNavigation: "off",
                onHoverStop: "off",
                touch: {
                  touchenabled: "on",
                  swipe_threshold: 75,
                  swipe_min_touches: 1,
                  swipe_direction: "horizontal",
                  drag_block_vertical: false
                },
                arrows: {
                  style: "zeus",
                  enable: true,
                  hide_onmobile: true,
                  hide_under: 600,
                  hide_onleave: true,
                  hide_delay: 200,
                  hide_delay_mobile: 1200,
                  tmp: '<div class="tp-title-wrap">    <div class="tp-arr-imgholder"></div> </div>',
                  left: {
                    h_align: "left",
                    v_align: "center",
                    h_offset: 30,
                    v_offset: 0
                  },
                  right: {
                    h_align: "right",
                    v_align: "center",
                    h_offset: 30,
                    v_offset: 0
                  }
                },
                bullets: {
                  enable: true,
                  hide_onmobile: true,
                  hide_under: 600,
                  style: "metis",
                  hide_onleave: true,
                  hide_delay: 200,
                  hide_delay_mobile: 1200,
                  direction: "horizontal",
                  h_align: "center",
                  v_align: "bottom",
                  h_offset: 0,
                  v_offset: 30,
                  space: 5,
                  tmp: '<span class="tp-bullet-img-wrap">  <span class="tp-bullet-image"></span></span><span class="tp-bullet-title">Home Page</span>'
                }
              },
              responsiveLevels: [1240, 1024, 778],
              visibilityLevels: [1240, 1024, 778],
              gridwidth: [1170, 1024, 778, 480],
              gridheight: [650, 768, 960, 720],
              lazyType: "none",
              parallax: {
                origo: "slidercenter",
                speed: 1000,
                levels: [5, 10, 15, 20, 25, 30, 35, 40, 45, 46, 47, 48, 49, 50, 100, 55],
                type: "scroll"
              },
              shadow: 0,
              spinner: "off",
              stopLoop: "on",
              stopAfterLoops: 0,
              stopAtSlide: -1,
              shuffle: "off",
              autoHeight: "off",
              fullScreenAutoWidth: "off",
              fullScreenAlignForce: "off",
              fullScreenOffsetContainer: "",
              fullScreenOffset: "0",
              hideThumbsOnMobile: "off",
              hideSliderAtLimit: 0,
              hideCaptionAtLimit: 0,
              hideAllCaptionAtLilmit: 0,
              debugMode: false,
              fallbacks: {
                simplifyAll: "off",
                nextSlideOnWindowFocus: "off",
                disableFocusListener: false,
              }
            });
          });
        </script>

        <!-- </section>
  <section class="bg-silver-light">
    <div class="container pt-0 pb-0">
      <div class="section-content">
        <div class="row equal-height-inner home-boxes" data-margin-top="-100px">
          <div class="col-sm-12 col-md-3 pl-0 pl-sm-15 pr-0 pr-sm-15 sm-height-auto mt-sm-0 wow fadeInLeft animation-delay1">
            <div class="sm-height-auto bg-primary" style="margin-right: 20px">
              <div class="text-center pt-30 pb-30">
                <i class="fa fa-user text-white font-64"></i>
                <h4 class="text-uppercase mt-20"><a href="#" class="text-white">DEBATE</a></h4>
              </div>
            </div>
          </div>
          <div class="col-sm-12 col-md-3 pl-0 pl-sm-15 pr-0 pr-sm-15 sm-height-auto mt-sm-0  wow fadeInLeft animation-delay2">
            <div class="sm-height-auto bg-primary" style="margin-right: 20px">
              <div class="text-center pt-30 pb-30">
                <i class="fa fa-book text-white font-64"></i>
                <h4 class="text-uppercase mt-20"><a href="#" class="text-white">QUIZ</a></h4>
              </div>
            </div>
          </div>
          <div class="col-sm-12 col-md-3 pl-0 pl-sm-15 pr-0 pr-sm-15 sm-height-auto mt-sm-0 wow fadeInLeft animation-delay3">
            <div class="sm-height-auto bg-primary" style="margin-right: 20px">
              <div class="text-center pt-30 pb-30">
                <i class="fa fa-pencil text-white font-64"></i>
                <h4 class="text-uppercase mt-20"><a href="register.html" class="text-white">ESSAY</a></h4>
              </div>
            </div>
          </div>
          <div class="col-sm-12 col-md-3 pl-0 pl-sm-15 pr-0 pr-sm-15 sm-height-auto mt-sm-0 wow fadeInLeft animation-delay4">
            <div class="sm-height-auto bg-primary">
              <div class="text-center pt-30 pb-30">
                <i class="fa fa-mobile text-white font-64"></i>
                <h4 class="text-uppercase mt-20"><a href="#" class="text-white">SPEECH</a></h4>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section> -->
        <section id="registration">
          <div class="container pb-5">
            <div class="section-content">
              <div class="row align-items-center">
                <div class="col-md-8 col-sm-12 wow fadeInRight" data-wow-duration="1s" data-wow-delay="0.3s">
                  <h2 class="text-uppercase mt-0" style="color: #5F0290">Welcome To <span class="" style="color:#DB137B"> <?php echo Date("Y") ?> Quiz Competition Registration Portal</span></h2>
                  <h3 class="text-uppercase mt-0" style="color: #330597">REGISTRATION <span class="" style="color:#d70808"> PORTAL INSTRUCTIONS</span></h3>
                  <div class="col-md-12">
                    <h4>Hello! Coordinator, you are welcome to another year Annual Convention. As usual, for all competitions, we are to register all participants online.</h4>
                    <h5><strong>Take note of the following instructions, before you start registration.</h5></strong><br>
                    <p> 1. All Participants are expected to be registered with different <b>EMAILS</b>.<br>
                      2. All documents to be uploaded should not be more than <b>5MB and JPEG or PNG </b>are allowed on this portal.<br>
                      3. All documents to be uploaded should be named with the <b>participant's name</b>.<br>
                      4. Please Note: any Child who will turn <b>9 years old in the month of August is not qualified for ages of 6-8, any Child who will turn 13 years old in August is not qualified for ages of 9-12, any Child who will turn 16 years old in August is not qualified for ages of 13-15, and any Child who will turn 20 years old in August is not qualified for ages of 16-19</b>.<br>
                      5. Please Know that all <b>REGISTERED PARTICIPANTS</b> are to be physically represented at the Venue of the Competitions at <b>Glory Arena, Redemption Camp</b>.<br>
                      6. You are expected to log in with the REGIONAL DEDICATED EMAILS and password. <br> <b>NOTE: </b>The Registration Portal closes on <strong>Monday, 17th July, <?php echo Date("Y") ?></strong>.</p>
                  </div>
                </div>
                <div class="col-md-4 col-sm-12 order-md-first">
                  <img src="assets/images/1.jpg" alt="Image" class="img-fluid" style="max-width: 100%; height: auto;"><br><br>
                  <img src="assets/images/1.jpg" alt="Image" class="img-fluid" style="max-width: 100%; height: auto;">
                </div>

              </div>
            </div>
          </div>

          <section id="photo-gallery">
            <div class="container">
              <div class="row">
                <div class="col-md-12">
                  <h2 class="text-uppercase mt-0 text-center" style="color: #5F0290">PHOTO <span class="" style="color:#DB137B"> GALLERY</span></h2>

                </div>
              </div>
              <div class="row">
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/1.jpg" data-lightbox="gallery" data-title="Image 1"><img src="assets/images/1.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/1.jpg" data-lightbox="gallery" data-title="Image 2"><img src="assets/images/1.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/2.jpg" data-lightbox="gallery" data-title="Image 3"><img src="assets/images/2.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/1.jpg" data-lightbox="gallery" data-title="Image 4"><img src="assets/images/1.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/1.jpg" data-lightbox="gallery" data-title="Image 5"><img src="assets/images/1.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/2.jpg" data-lightbox="gallery" data-title="Image 6"><img src="assets/images/2.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/1.jpg" data-lightbox="gallery" data-title="Image 7"><img src="assets/images/1.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/1.jpg" data-lightbox="gallery" data-title="Image 8"><img src="assets/images/1.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/2.jpg" data-lightbox="gallery" data-title="Image 9"><img src="assets/images/2.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/1.jpg" data-lightbox="gallery" data-title="Image 10"><img src="assets/images/1.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/1.jpg" data-lightbox="gallery" data-title="Image 11"><img src="assets/images/1.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
                <div class="col-md-3 col-sm-6">
                  <a href="assets/images/2.jpg" data-lightbox="gallery" data-title="Image 12"><img src="assets/images/2.jpg" class="img-fluid" alt="Image 1"></a>
                </div>
              </div>
            </div>
          </section>
        </section>



        <section id="">
          <div class="container" style="">
            <h4 class="letter-space-1 mt-5 text-center" style="color: #5F0290"><?php echo Date("Y") ?> Quiz Competition Registration<span class="" style="color:#DB137B"> On process</span></h4>
            <div class="section-content">
              <div class="col-lg-12 bg-light">
                <div class="row">
                  <div class="img col-lg-3">
                    <img src="uploads/admissions/default.jpg" width="300px" height="200px">
                  </div>
                  <div class="col-lg-7">
                    <h4>Quiz Competition</h4>
                    <p>Description: A quiz is a short assessment designed to test knowledge, skills, or understanding of a specific subject matter.<br>
                      Objective: To evaluate participants' grasp of facts, concepts, and principles.<br>
                      Format: Can be conducted in various formats including multiple-choice, true/false, fill-in-the-blank, or short-answer questions.<br>
                      Benefits: Encourages continuous learning, reinforces information retention, and promotes healthy competition.</p>

                  </div>
                  <div class="right-content col-lg-2" style="margin-top: 70px;">
                    <a href="./quizportal" class="btn btn-primary">Apply Now</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <section id="">
          <div class="container" style="">
            <h4 class="letter-space-1 mt-5 text-center" style="color: #5F0290"><?php echo Date("Y") ?> Essay Writing Registration<span class="" style="color:#DB137B"> On process</span></h4>
            <div class="section-content">
              <div class="col-lg-12 bg-light">
                <div class="row">
                  <div class="img col-lg-3">
                    <img src="uploads/admissions/default.jpg" width="300px" height="200px">
                  </div>
                  <div class="col-lg-7">
                    <h4>Essay Writing</h4>
                    <p>Description: An essay writing is a written composition that presents an argument or perspective on a particular topic.<br>
                      Objective: To express ideas, opinions, and insights in a structured and coherent manner.<br>
                      Format: Typically consists of an introduction, body paragraphs, and a conclusion.<br>
                      Benefits: Enhances writing skills, encourages critical thinking, and promotes creativity and expression.</p>

                  </div>
                  <div class="right-content col-lg-2" style="margin-top: 70px;">
                    <a href="./quizportal" class="btn btn-primary">Apply Now</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <section id="">
          <div class="container" style="">
            <h4 class="letter-space-1 mt-5 text-center" style="color: #5F0290"><?php echo Date("Y") ?> Debate Registration<span class="" style="color:#DB137B"> On process</span></h4>
            <div class="section-content">
              <div class="col-lg-12 bg-light">
                <div class="row">
                  <div class="img col-lg-3">
                    <img src="uploads/admissions/default.jpg" width="300px" height="200px">
                  </div>
                  <div class="col-lg-7">
                    <h4>Debate</h4>
                    <p>Description: Debate is a formal discussion on a particular topic, usually involving two opposing teams or individuals presenting arguments and counterarguments.<br>
                      Objective: To develop critical thinking, public speaking, and persuasive communication skills.<br>
                      Format: Typically involves opening statements, rebuttals, and closing arguments.<br>
                      Benefits: Enhances research abilities, fosters teamwork, and promotes the articulation of ideas.</p>

                  </div>
                  <div class="right-content col-lg-2" style="margin-top: 70px;">
                    <a href="./quizportal" class="btn btn-primary">Apply Now</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <section id="">
          <div class="container" style="">
            <h4 class="letter-space-1 mt-5 text-center" style="color: #5F0290"><?php echo Date("Y") ?> Recitation Registration<span class="" style="color:#DB137B"> On process</span></h4>
            <div class="section-content">
              <div class="col-lg-12 bg-light">
                <div class="row">
                  <div class="img col-lg-3">
                    <img src="uploads/admissions/default.jpg" width="300px" height="200px">
                  </div>
                  <div class="col-lg-7">
                    <h4>Recitation</h4>
                    <p>Description: Recitation involves the oral delivery of poetry, prose, or other literary works with emphasis on pronunciation, intonation, and expression.<br>
                      Objective: To convey the meaning and emotion of a written piece through vocal delivery.<br>
                      Format: Participants may recite individually or in groups, with attention to memorization and performance.<br>
                      Benefits: Improves public speaking skills, builds confidence, and fosters appreciation for literature and language.</p>

                  </div>
                  <div class="right-content col-lg-2" style="margin-top: 70px;">
                    <a href="./quizportal" class="btn btn-primary">Apply Now</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
        <section id="">
          <div class="container" style="">
            <h4 class="letter-space-1 mt-5 text-center" style="color: #5F0290"><?php echo Date("Y") ?> Spelling Bee Registration<span class="" style="color:#DB137B"> On process</span></h4>
            <div class="section-content">
              <div class="col-lg-12 bg-light">
                <div class="row">
                  <div class="img col-lg-3">
                    <img src="uploads/admissions/default.jpg" width="300px" height="200px">
                  </div>
                  <div class="col-lg-7">
                    <h4>Spelling Bee</h4>
                    <p>Description: A spelling bee is a competition where participants are asked to spell words orally, often challenging words of increasing difficulty.<br>
                      Objective: To test participants' spelling ability, vocabulary, and word recognition skills.<br>
                      Format: Participants take turns spelling words aloud, with elimination rounds until a winner emerges.<br>
                      Benefits: Enhances spelling proficiency, expands vocabulary, and promotes concentration and focus.</p>

                  </div>
                  <div class="right-content col-lg-2" style="margin-top: 70px;">
                    <a href="./quizportal" class="btn btn-primary">Apply Now</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </section>
    </div>
    <!-- Footer -->
    <footer id="footer" class=" bg-light text-dark" data-bg-img="images/footer-bg.html">
      <div class="footer-bottom bg-primary">
        <div class="container pt-20 pb-20">
          <div class="row">
            <div class="col-md-6">
              <div id="copyright">
                &copy; <script>
                  document.getElementById('copyright').appendChild(document.createTextNode(new Date().getFullYear()))
                </script> Directorate of Teens and Children Education.
                <div class="float-right d-none d-sm-inline-block">
                  <b>DTCE QUIZ COMPETITION PORTAL v.1.0.0</b>
                </div>
              </div>

            </div>
            <div class="col-md-6 text-right">
              <div class="widget no-border m-0">
                <ul class="list-inline sm-text-center mt-5 font-12">
                  <li>
                    <a href="entrance-exam-results.html" style="color: white">Quiz Competition Results</a>
                  </li>

                  <li>
                    <a href="./quizportal" style="color: white">Login to existing account</a>
                  </li>
                  <li>
                  <li class=""><a href="#" style="color: white">FAQs</a></li>
                  </li>
                </ul>
              </div>
            </div>
          </div>
        </div>
      </div>
    </footer>


    <a class="scrollToTop" href="#"><i class="fa fa-angle-up"></i></a>
  </div>

  <!-- Footer Scripts -->
  <!-- JS | Custom script for all pages -->
  <script src="home_assets/js/custom.js"></script>

  <!-- SLIDER REVOLUTION 5.0 EXTENSIONS
      (Load Extensions only on Local File Systems !
       The following part can be removed on Server for On Demand Loading) -->
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.actions.min.js"></script>
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.carousel.min.js"></script>
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.kenburn.min.js"></script>
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.layeranimation.min.js"></script>
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.migration.min.js"></script>
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.navigation.min.js"></script>
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.parallax.min.js"></script>
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.slideanims.min.js"></script>
  <script type="text/javascript" src="home_assets/js/revolution-slider/js/extensions/revolution.extension.video.min.js"></script>
  <!-- datatable -->
  <script src="assets/datatable/js/jquery.dataTables.min.js"></script>
  <script src="assets/datatable/js/datatable.custom.js"></script>
  <script src="../cdn.datatables.net/responsive/2.2.9/js/dataTables.responsive.min.js"></script>
  <script src="assets/js/datatable.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lightbox2/2.11.3/js/lightbox.min.js"></script>

</body>



</html>